__gnu_cxx::__pool_alloc_base(3)

NAME
__gnu_cxx::__pool_alloc_base -

SYNOPSIS

Inherited by __pool_alloc [private].

Detailed Description

Definition at line 79 of file pool_allocator.h.

  Protected Types
enum { _S_align }
enum { _S_max_bytes }
enum { _S_free_list_size }
_S_align
_S_free_list_size
_S_max_bytes

  Protected Member Functions
char * _M_allocate_chunk (size_t __n, int &__nobjs)
_Obj *volatile * _M_get_free_list (size_t __bytes)
mutex_type & _M_get_mutex ()
void * _M_refill (size_t __n)
size_t _M_round_up (size_t __bytes)

  Static Protected Attributes
static char * _S_end_free
static _Obj *volatile _S_free_list [_S_free_list_size]
static size_t _S_heap_size
static char * _S_start_free

  Classes
union _Obj

Author

Generated automatically by Doxygen for libstdc++ from the source code.